Skip to main content
POST
Create Index

Authorizations

x-api-key
string
header
required

API key for authentication

x-selected-account-id
string
header
required

Selected Account ID

Path Parameters

project_id
string
required

Body

application/json

Create request for the file-system index engine.

name
string
required

Display name of the index

engine_type
string
default:file_system
Allowed value: "file_system"
model
string
default:openai/gpt-4o-mini

Model to use for summarization

file_summarization_prompt
string | null

Custom instructions for file summarization

folder_summarization_prompt
string | null

Custom instructions for folder summarization

Response

Successful Response

Full index entity with nodes and config (returned by get by ID).

id
string
required

ID of the entity

project_id
string
required

ID of the project

name
string
required

Display name of the index

engine_type
enum<string>
required

Type of index engine

Available options:
file_system
created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

status
enum<string>
default:pending

Index status

Available options:
pending,
ready,
updating,
failed
config
Config · object

Engine-specific config

nodes
Node · object[]

Index tree nodes